<script setup>
import { computed } from 'vue';
import { usePage } from '@inertiajs/inertia-vue3';

const errors = computed(() => usePage().props.value.errors);
const hasErrors = computed(() => Object.keys(errors.value).length > 0);

const getErrorContent = (error) => {
  switch (error) {
    case 'auth.failed':
      return 'There has been a problem with the login attempt. Please check your credentials and try again.';
    default:
      return error;
  }
};

</script>

<template>
    <div v-if="hasErrors" class="flex flex-col items-center">
        <div class="font-medium text-red-button">
            Whoops! Something went wrong.
        </div>

        <ul class="mt-3 list-disc list-inside text-sm text-red-button">
            <li v-for="(error, key) in errors" :key="key">
                {{
                    getErrorContent(error)
                }}
            </li>
        </ul>
    </div>
</template>